CMSIS-Core (Cortex-A): Data Fault Status Register (DFSR)

| CMSIS-Core (Cortex-A) Version 1.1.2 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Data Structures | Functions
Data Fault Status Register (DFSR)
Core Register Access

The DFSR holds status information about the last data fault. More...

## Content
| ACTLR Bits
| Bit position and mask macros.

## Data Structures
struct | DFSR_Type
| Bit field declaration for DFSR layout. More...

## Functions
__STATIC_FORCEINLINE uint32_t | __get_DFSR (void)
| Get DFSR. More...
__STATIC_FORCEINLINE void | __set_DFSR (uint32_t dfsr)
| Set DFSR. More...

## Description

DFSR format when using the Short-descriptor translation table format

Bits | Name | Function
--- | --- | ---
[31:14] | - | Reserved.
[13] | CM | Cache maintenance fault.
[12] | ExT | External abort type.
[11] | WnR | Write not Read bit.
[10] | FS[4] | Fault status bits.
[9] | LPAE | Large Physical Address Extension.
[8] | - | Reserved.
[7:4] | Domain | The domain of the fault address.
[3:0] | FS[3:0] | Fault status bits.

DFSR format when using the Long-descriptor translation table format

Bits | Name | Function
--- | --- | ---
[31:14] | - | Reserved.
[13] | CM | Cache maintenance fault.
[12] | ExT | External abort type.
[11] | WnR | Write not Read bit.
[10] | - | Reserved.
[9] | LPAE | Large Physical Address Extension.
[8:6] | - | Reserved.
[5:0] | STATUS | Fault status bits.

Consider __get_DFSR and __set_DFSR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_DFSR | ( | void |  | ) |

Returns
  Data Fault Status Register value

This function returns the current value of the Data Fault Status Register (DFSR).

__STATIC_INLINE void __set_DFSR | ( | uint32_t | dfsr | ) |

Parameters

  [in] | dfsr | Data Fault Status value to set

This function assigns the given value to the Data Fault Status Register (DFSR).